commoble.exmachina

## Class ExMachina

- java.lang.Object
- - commoble.exmachina.ExMachina

    public class ExMachina
    extends java.lang.Object

### Field Summary

Fields
`static net.minecraftforge.fml.network.simple.SimpleChannel` `CHANNEL`
`static java.lang.String` `CHANNEL_PROTOCOL_VERSION`
`CircuitBehaviourRegistry` `circuitBehaviourRegistry`
`CircuitElementDataManager` `circuitElementDataManager`
`static ExMachina` `INSTANCE`
`static org.apache.logging.log4j.Logger` `LOGGER`
`static java.lang.String` `MODID`
`ServerConfig` `serverConfig`

### Constructor Summary

Constructors
Constructor and Description
`ExMachina()`

### Method Summary

All Methods Static Methods Concrete Methods
`static net.minecraft.util.ResourceLocation` `getModRL(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MODID

    public static final java.lang.String MODID

See Also:
  Constant Field Values

#### LOGGER

    public static final org.apache.logging.log4j.Logger LOGGER

#### INSTANCE

    public static ExMachina INSTANCE

#### CHANNEL_PROTOCOL_VERSION

    public static final java.lang.String CHANNEL_PROTOCOL_VERSION

See Also:
  Constant Field Values

#### CHANNEL

    public static final net.minecraftforge.fml.network.simple.SimpleChannel CHANNEL

#### serverConfig

    public final ServerConfig serverConfig

#### circuitBehaviourRegistry

    public CircuitBehaviourRegistry circuitBehaviourRegistry

#### circuitElementDataManager

    public CircuitElementDataManager circuitElementDataManager

### Constructor Detail

#### ExMachina

    public ExMachina()

### Method Detail

#### getModRL

    public static net.minecraft.util.ResourceLocation getModRL(java.lang.String name)